import { Result } from "./result";
import { StringOptions } from "./string";
export interface EmailOptions extends StringOptions {
    /**
        An array of domains that are allowed to be used in email addresses.
        If a list of domains is defined, each e-mail address must contain one of the allowed domains.
        If an empty array is defined, all possible domains are allowed.
    */
    allowedDomains?: string[];
    /**
        An array of domains that are not allowed to be used in email addresses.
    */
    blockedDomains?: string[];
}
export declare const checkEmail: (email: string, opt?: EmailOptions) => Result;
//# sourceMappingURL=email.d.ts.map