"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkEmail = void 0;
const messages_1 = require("./messages");
const pressets_1 = require("./pressets");
const result_1 = require("./result");
const string_1 = require("./string");
const checkEmail = (email, opt) => {
    if (!opt)
        opt = {};
    if (!opt.pressets)
        opt.pressets = [];
    if (!opt.allowedDomains)
        opt.allowedDomains = [];
    if (!opt.blockedDomains)
        opt.blockedDomains = [];
    opt.pressets.push((0, pressets_1.emailPresset)());
    let result = (0, string_1.checkString)(email, {
        minLength: opt.minLength,
        maxLength: opt.maxLength,
        pressets: opt.pressets,
    });
    if (!result.isValid)
        return result;
    if (opt.blockedDomains.length) {
        let isValid = true;
        for (const domain of opt.blockedDomains) {
            if (email.includes(`@${domain}`)) {
                isValid = false;
                break;
            }
        }
        if (!isValid)
            return (0, result_1.invalidResult)((0, messages_1.INVALID_EMAIL_WITH_BLOCKED_DOMAIN)(opt.blockedDomains));
    }
    if (opt.allowedDomains.length) {
        let isValid = false;
        for (const domain of opt.allowedDomains) {
            if (email.includes(`@${domain}`)) {
                isValid = true;
                break;
            }
        }
        if (!isValid)
            return (0, result_1.invalidResult)((0, messages_1.INVALID_EMAIL_DOMAIN)(opt.allowedDomains));
    }
    return result_1.validResult;
};
exports.checkEmail = checkEmail;
//# sourceMappingURL=email.js.map