"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkPassword = void 0;
const pressets_1 = require("./pressets");
const result_1 = require("./result");
const string_1 = require("./string");
const checkPassword = (value, opt) => {
    if (!opt.pressets)
        opt.pressets = [];
    if (opt.capitalLetters) {
        opt.pressets.push((0, pressets_1.capitalLetterPresset)(opt.capitalLetters));
    }
    if (opt.numbers) {
        opt.pressets.push((0, pressets_1.numberPresset)(opt.numbers));
    }
    if (opt.specialSymbols) {
        opt.pressets.push((0, pressets_1.specialSymbolPresset)(opt.specialSymbols));
    }
    let result = (0, string_1.checkString)(value, {
        minLength: opt.minLength,
        maxLength: opt.maxLength,
        pressets: opt.pressets,
    });
    if (!result.isValid)
        return result;
    return result_1.validResult;
};
exports.checkPassword = checkPassword;
//# sourceMappingURL=password.js.map