"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emailPresset = exports.specialSymbolPresset = exports.numberPresset = exports.capitalLetterPresset = void 0;
const messages_1 = require("./messages");
const capitalLetterPresset = (minAmount = 1, maxAmount) => {
    return {
        patterns: [/[A-Z]/g],
        minAmount,
        maxAmount,
        errorMsg: () => (0, messages_1.INVALID_CAPITAL_LETTERS_AMOUNT)({ minAmount, maxAmount }),
    };
};
exports.capitalLetterPresset = capitalLetterPresset;
const numberPresset = (minAmount = 1, maxAmount) => {
    return {
        patterns: [/\d/g],
        minAmount,
        errorMsg: () => (0, messages_1.INVALID_NUMBERS_AMOUNT)({ minAmount, maxAmount }),
    };
};
exports.numberPresset = numberPresset;
const specialSymbolPresset = (minAmount = 1, maxAmount) => {
    return {
        patterns: [/\W/g],
        minAmount,
        errorMsg: () => (0, messages_1.INVALID_SPECIAL_SYMBOLS_AMOUNT)({ minAmount, maxAmount }),
    };
};
exports.specialSymbolPresset = specialSymbolPresset;
const emailPresset = () => {
    return {
        patterns: [
            /(?:[a-z0-9!#$%&'*+\/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+\/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/gm,
        ],
        minAmount: 1,
        maxAmount: 1,
        errorMsg: messages_1.INVALID_EMAIL,
    };
};
exports.emailPresset = emailPresset;
//# sourceMappingURL=pressets.js.map