"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkString = exports.checkPresset = void 0;
const messages_1 = require("./messages");
const messages_2 = require("./messages");
const result_1 = require("./result");
const checkPresset = (value, opt) => {
    for (const pattern of opt.patterns) {
        const amount = value.split(pattern).length - 1;
        const errMsg = opt.errorMsg
            ? opt.errorMsg({ pattern, minAmount: opt.minAmount, maxAmount: opt.maxAmount })
            : (0, messages_2.FAILED_PATTERN_VALIDATION)({
                pattern,
                minAmount: opt.minAmount,
                maxAmount: opt.maxAmount,
            });
        if ((typeof opt.maxAmount == "number" && amount > opt.maxAmount) ||
            (typeof opt.minAmount == "number" && amount < opt.minAmount)) {
            return (0, result_1.invalidResult)(errMsg);
        }
    }
    return result_1.validResult;
};
exports.checkPresset = checkPresset;
const checkString = (value, opt) => {
    if ((opt.minLength && value.length < opt.minLength) ||
        (opt.maxLength && value.length > opt.maxLength)) {
        return (0, result_1.invalidResult)((0, messages_1.INVALID_STRING_LENGTH)(opt.minLength, opt.maxLength));
    }
    if (opt.pressets) {
        for (const container of opt.pressets) {
            const result = (0, exports.checkPresset)(value, container);
            if (!result.isValid)
                return result;
        }
    }
    return result_1.validResult;
};
exports.checkString = checkString;
//# sourceMappingURL=string.js.map